## imagemagick 3.7.7

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#  Generic makefile for display, animate, montage, and import for
#  computers that do not have xmkmf.
#
#  Copyright 1996 E. I. du Pont de Nemours and Company
#
#  Permission to use, copy, modify, distribute, and sell this software and
#  its documentation for any purpose is hereby granted without fee,
#  provided that the above Copyright notice appear in all copies and that
#  both that Copyright notice and this permission notice appear in
#  supporting documentation, and that the name of E. I. du Pont de Nemours
#  and Company not be used in advertising or publicity pertaining to
#  distribution of the software without specific, written prior
#  permission.  E. I. du Pont de Nemours and Company makes no representations
#  about the suitability of this software for any purpose.  It is provided
#  "as is" without express or implied warranty.
#
#  E. I. du Pont de Nemours and Company disclaims all warranties with regard
#  to this software, including all implied warranties of merchantability
#  and fitness, in no event shall E. I. du Pont de Nemours and Company be
#  liable for any special, indirect or consequential damages or any
#  damages whatsoever resulting from loss of use, data or profits, whether
#  in an action of contract, negligence or other tortious action, arising
#  out of or in connection with the use or performance of this software.
#

# Set DoSharedLib to HasSharedLibraries to build ImageMagick with shared
# libraries.
#
# #define DoSharedLib  HasSharedLibraries

# By default, the maximum color value is 255.  To increase the maximum to
# 65535 define:
#
# QUANTUM_DEFINES= -DQuantumLeap

# If you have the HDF, JBIG, JPEG, MPEG, PNG, or TIFF libraries,
# uncomment HDF_*, JBIG_*, JPEG_*, MPEG_*, PNG_*, or TIFF_**
# respectively.  Make sure the path names are correct.  See README for
# more details.
#
#HDF_DEFINES= -DHasHDF
#HDF_INCLUDES= -I../hdf
#HDF_LIBRARIES= -Lhdf -ldf
#JBIG_DEFINES= -DHasJBIG
#JBIG_INCLUDES= -I../jbig/libjbig
#JBIG_LIBRARIES= -Ljbig/libjbig -ljbig
#JPEG_DEFINES= -DHasJPEG
#JPEG_INCLUDES= -I../jpeg
#JPEG_LIBRARIES= -Ljpeg -ljpeg
#MPEG_DEFINES= -DHasMPEG
#MPEG_INCLUDES= -I../mpeg
#MPEG_LIBRARIES= -Lmpeg -lmpeg
#PNG_DEFINES= -DHasPNG
#PNG_INCLUDES= -I../png -I../zlib
#PNG_LIBRARIES= -Lpng -lpng -Lzlib -lz
#TIFF_DEFINES= -DHasTIFF
#TIFF_INCLUDES= -I../tiff/libtiff
#TIFF_LIBRARIES= -Ltiff/libtiff -ltiff

MAGICK_INCLUDES= -Imagick

CC = gcc
DEFS =  -DSTDC_HEADERS=1 -DHAVE_DIRENT_H=1 -DSVR4=1 -DHasJBIG=1 -DHasJPEG=1 -DHasMPEG=1 -DHasPNG=1 -DHasTIFF=1 -DHasHDF=1 
INSTALL = ./install-sh -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
LDFLAGS =
LIBS =  -ljbig -ljpeg -lmpeg -lpng -ltiff -lz -ldf -lsocket -lXext -lm
X_INCLUDES =  -I/usr/openwin/include
X_LIBRARIES =  -L/usr/openwin/lib -R /usr/openwin/lib  -lnsl -lsocket -lX11

LOCALDIR= /usr/local/bin
LOCALMAN= /usr/local/man/mann

DEFINES= $(MAGICK_INCLUDES) $(DIRENT_DEFINES) $(QUANTUM_DEFINES) \
  $(DPS_DEFINES) $(DPS_INCLUDES) $(HDF_DEFINES) $(HDF_INCLUDES) \
  $(JBIG_DEFINES) $(JBIG_INCLUDES) $(JPEG_DEFINES) $(JPEG_INCLUDES) \
  $(MPEG_DEFINES) $(MPEG_INCLUDES) $(PNG_DEFINES) $(PNG_INCLUDES) \
  $(TIFF_DEFINES) $(TIFF_INCLUDES) $(X_INCLUDES)
SYS_LIBRARIES= $(DPS_LIBRARIES) $(JBIG_LIBRARIES) $(JPEG_LIBRARIES) \
  $(MPEG_LIBRARIES) $(HDF_LIBRARIES) $(PNG_LIBRARIES) $(TIFF_LIBRARIES) \
  $(X_LIBRARIES) $(LIBS)

DisplayObjects= display.o
ImportObjects= import.o
MontageObjects= montage.o
AnimateObjects= animate.o
ConvertObjects= convert.o
IdentifyObjects= identify.o
MogrifyObjects= mogrify.o
CombineObjects= combine.o

PROGRAMS= display import montage animate convert mogrify identify combine

CFLAGS= -O $(DEFINES)

all: libmagick.a $(PROGRAMS)

libmagick.a: 
	(cd magick; make CFLAGS="$(CFLAGS)")

display: $(DisplayObjects) magick/libMagick.a
	rm -f $@
	$(CC) -o $@ $(DisplayObjects) magick/libMagick.a $(SYS_LIBRARIES)

import: $(ImportObjects) magick/libMagick.a
	rm -f $@
	$(CC) -o $@ $(ImportObjects) magick/libMagick.a $(SYS_LIBRARIES)

montage: $(MontageObjects) magick/libMagick.a
	rm -f $@
	$(CC) -o $@ $(MontageObjects) magick/libMagick.a $(SYS_LIBRARIES)

animate: $(AnimateObjects) magick/libMagick.a
	rm -f $@
	$(CC) -o $@ $(AnimateObjects) magick/libMagick.a $(SYS_LIBRARIES)

convert: $(ConvertObjects) magick/libMagick.a
	rm -f $@
	$(CC) -o $@ $(ConvertObjects) magick/libMagick.a $(SYS_LIBRARIES)

identify: $(IdentifyObjects) magick/libMagick.a
	rm -f $@
	$(CC) -o $@ $(IdentifyObjects) magick/libMagick.a $(SYS_LIBRARIES)

mogrify: $(MogrifyObjects) magick/libMagick.a
	rm -f $@
	$(CC) -o $@ $(MogrifyObjects) magick/libMagick.a $(SYS_LIBRARIES)

combine: $(CombineObjects) magick/libMagick.a
	rm -f $@
	$(CC) -o $@ $(CombineObjects) magick/libMagick.a $(SYS_LIBRARIES)


install: display import montage animate convert mogrify combine
	$(INSTALL_PROGRAM) display $(LOCALDIR)/display
	$(INSTALL_DATA) display.man $(LOCALMAN)/display.n
	$(INSTALL_PROGRAM) import $(LOCALDIR)/import
	$(INSTALL_DATA) import.man $(LOCALMAN)/import.n
	$(INSTALL_PROGRAM) montage $(LOCALDIR)/montage
	$(INSTALL_DATA) montage.man $(LOCALMAN)/montage.n
	$(INSTALL_PROGRAM) animate $(LOCALDIR)/animate
	$(INSTALL_DATA) animate.man $(LOCALMAN)/animate.n
	$(INSTALL_PROGRAM) convert $(LOCALDIR)/convert
	$(INSTALL_DATA) convert.man $(LOCALMAN)/convert.n
	$(INSTALL_PROGRAM) identify $(LOCALDIR)/identify
	$(INSTALL_DATA) identify.man $(LOCALMAN)/identify.n
	$(INSTALL_PROGRAM) mogrify $(LOCALDIR)/mogrify
	$(INSTALL_DATA) mogrify.man $(LOCALMAN)/mogrify.n
	$(INSTALL_PROGRAM) combine $(LOCALDIR)/combine
	$(INSTALL_DATA) combine.man $(LOCALMAN)/combine.n

clean::
	(cd magick; make clean)
	rm -f *.ln *.bak *.o core errs ,* *~ *.a .emacs_* make.log MakeOut
	rm -f config.cache
	rm -f display
	rm -f import
	rm -f montage
	rm -f animate
	rm -f convert
	rm -f mogrify
	rm -f identify
	rm -f combine

display.o: display.c magick/magick.h
import.o: import.c magick/magick.h
montage.o: montage.c magick/magick.h
animate.o: animate.c magick/magick.h
convert.o: convert.c magick/magick.h
mogrify.o: mogrify.c magick/magick.h
combine.o: combine.c magick/magick.h

=== images/Makefile ===
all:
	../montage -label "%f   %wx%h" -geometry 160x160 -tile 2x2 -verbose \
	  dna.miff swan.miff aquarium.miff montage.miff

clean:
	/bin/rm -f montage.miff

=== magick/Makefile ===
# Generated automatically from Makefile.in by configure.
#
#  Generic makefile for the ImageMagick image library for computers that do
#  not have xmkmf.
#
#  Copyright 1996 E. I. du Pont de Nemours and Company
#
#  Permission to use, copy, modify, distribute, and sell this software and
#  its documentation for any purpose is hereby granted without fee,
#  provided that the above Copyright notice appear in all copies and that
#  both that Copyright notice and this permission notice appear in
#  supporting documentation, and that the name of E. I. du Pont de Nemours
#  and Company not be used in advertising or publicity pertaining to
#  distribution of the software without specific, written prior
#  permission.  E. I. du Pont de Nemours and Company makes no representations
#  about the suitability of this software for any purpose.  It is provided
#  "as is" without express or implied warranty.
#
#  E. I. du Pont de Nemours and Company disclaims all warranties with regard
#  to this software, including all implied warranties of merchantability
#  and fitness, in no event shall E. I. du Pont de Nemours and Company be
#  liable for any special, indirect or consequential damages or any
#  damages whatsoever resulting from loss of use, data or profits, whether
#  in an action of contract, negligence or other tortious action, arising
#  out of or in connection with the use or performance of this software.
#

SHELL = /bin/sh

AR = ar
CC = gcc
DEFS =  -DSTDC_HEADERS=1 -DHAVE_DIRENT_H=1 -DSVR4=1 -DHasJBIG=1 -DHasJPEG=1 -DHasMPEG=1 -DHasPNG=1 -DHasTIFF=1 -DHasHDF=1 
INSTALL = .././install-sh -c
INSTALL_DATA = ${INSTALL} -m 644
RANLIB = ranlib

CFLAGS= $(DEFS)
CDEBUGFLAGS= $(DEFS)

prefix=/usr/local
exec_prefix=${prefix}
LOCALLIB=${exec_prefix}/lib
LOCALINC=${prefix}/include

MagickObjects= widget.o X.o image.o gems.o shear.o segment.o quantize.o \
  colors.o signature.o decode.o encode.o compress.o utility.o monitor.o \
  error.o PreRvIcccm.o

all: libMagick.a

libMagick.a: $(MagickObjects)
	rm -f libMagick.a
	$(AR) cru libMagick.a $(MagickObjects)
	$(RANLIB) libMagick.a

install: libMagick.a
	$(INSTALL_DATA) libMagick.a $(LOCALLIB)/libMagick.a
	$(INSTALL_DATA) PreRvIcccm.h $(LOCALINC)/PreRvIcccm.h
	$(INSTALL_DATA) X.h $(LOCALINC)/X.h
	$(INSTALL_DATA) compress.h $(LOCALINC)/compress.h
	$(INSTALL_DATA) image.h $(LOCALINC)/image.h
	$(INSTALL_DATA) gems.h $(LOCALINC)/gems.h
	$(INSTALL_DATA) magick.h $(LOCALINC)/magick.h
	$(INSTALL_DATA) utility.h $(LOCALINC)/utility.h
	$(INSTALL_DATA) widget.h $(LOCALINC)/widget.h
	$(INSTALL_DATA) plug-in.h $(LOCALINC)/plug-in.h

clean: 
	rm -f *.o libMagick.a core

widget.o:  widget.c magick.h
X.o:  X.c magick.h Colorlist.h
image.o:  image.c magick.h gems.h formats.h Colorlist.h
gems.o:  gems.c magick.h
shear.o:  shear.c magick.h
quantize.o:  quantize.c magick.h
colors.o:  colors.c magick.h Colorlist.h
signature.o:  signature.c magick.h
decode.o:  decode.c magick.h plug-ins.h
encode.o:  encode.c magick.h Colorlist.h plug-ins.h
compress.o:  compress.c magick.h
utility.o:  utility.c magick.h Colorlist.h
error.o:  error.c magick.h
monitor.o:  monitor.c magick.h
PreRvIcccm.o:  PreRvIcccm.c magick.h

=== scenes/Makefile ===
#
# POV Makefile for DNA molecule.
#
all:
	povray +idna.pov +odna.1 +fn +w256 +h256 -q9 +r5 +a +J +v -k0 +b2048
	povray +idna.pov +odna.2 +fn +w256 +h256 -q9 +r5 +a +J +v -k5 +b2048
	povray +idna.pov +odna.3 +fn +w256 +h256 -q9 +r5 +a +J +v -k10 +b2048
	povray +idna.pov +odna.4 +fn +w256 +h256 -q9 +r5 +a +J +v -k15 +b2048
	povray +idna.pov +odna.5 +fn +w256 +h256 -q9 +r5 +a +J +v -k20 +b2048
	povray +idna.pov +odna.6 +fn +w256 +h256 -q9 +r5 +a +J +v -k25 +b2048
	povray +idna.pov +odna.7 +fn +w256 +h256 -q9 +r5 +a +J +v -k30 +b2048
	povray +idna.pov +odna.8 +fn +w256 +h256 -q9 +r5 +a +J +v -k35 +b2048
	povray +idna.pov +odna.9 +fn +w256 +h256 -q9 +r5 +a +J +v -k40 +b2048
	povray +idna.pov +odna.10 +fn +w256 +h256 -q9 +r5 +a +J +v -k45 +b2048
	povray +idna.pov +odna.11 +fn +w256 +h256 -q9 +r5 +a +J +v -k50 +b2048
	povray +idna.pov +odna.12 +fn +w256 +h256 -q9 +r5 +a +J +v -k55 +b2048
	povray +idna.pov +odna.13 +fn +w256 +h256 -q9 +r5 +a +J +v -k60 +b2048
	povray +idna.pov +odna.14 +fn +w256 +h256 -q9 +r5 +a +J +v -k65 +b2048
	povray +idna.pov +odna.15 +fn +w256 +h256 -q9 +r5 +a +J +v -k70 +b2048
	povray +idna.pov +odna.16 +fn +w256 +h256 -q9 +r5 +a +J +v -k75 +b2048
	povray +idna.pov +odna.17 +fn +w256 +h256 -q9 +r5 +a +J +v -k80 +b2048
	povray +idna.pov +odna.18 +fn +w256 +h256 -q9 +r5 +a +J +v -k85 +b2048
	povray +idna.pov +odna.19 +fn +w256 +h256 -q9 +r5 +a +J +v -k90 +b2048
	povray +idna.pov +odna.20 +fn +w256 +h256 -q9 +r5 +a +J +v -k95 +b2048
	povray +idna.pov +odna.21 +fn +w256 +h256 -q9 +r5 +a +J +v -k100 +b2048
	povray +idna.pov +odna.22 +fn +w256 +h256 -q9 +r5 +a +J +v -k105 +b2048
	povray +idna.pov +odna.23 +fn +w256 +h256 -q9 +r5 +a +J +v -k110 +b2048
	povray +idna.pov +odna.24 +fn +w256 +h256 -q9 +r5 +a +J +v -k115 +b2048
	povray +idna.pov +odna.25 +fn +w256 +h256 -q9 +r5 +a +J +v -k120 +b2048
	povray +idna.pov +odna.26 +fn +w256 +h256 -q9 +r5 +a +J +v -k125 +b2048
	povray +idna.pov +odna.27 +fn +w256 +h256 -q9 +r5 +a +J +v -k130 +b2048
	povray +idna.pov +odna.28 +fn +w256 +h256 -q9 +r5 +a +J +v -k135 +b2048
	povray +idna.pov +odna.29 +fn +w256 +h256 -q9 +r5 +a +J +v -k140 +b2048
	povray +idna.pov +odna.30 +fn +w256 +h256 -q9 +r5 +a +J +v -k145 +b2048
	povray +idna.pov +odna.31 +fn +w256 +h256 -q9 +r5 +a +J +v -k150 +b2048
	povray +idna.pov +odna.32 +fn +w256 +h256 -q9 +r5 +a +J +v -k155 +b2048
	povray +idna.pov +odna.33 +fn +w256 +h256 -q9 +r5 +a +J +v -k160 +b2048
	povray +idna.pov +odna.34 +fn +w256 +h256 -q9 +r5 +a +J +v -k165 +b2048
	povray +idna.pov +odna.35 +fn +w256 +h256 -q9 +r5 +a +J +v -k170 +b2048
	povray +idna.pov +odna.36 +fn +w256 +h256 -q9 +r5 +a +J +v -k175 +b2048
	povray +idna.pov +odna.37 +fn +w256 +h256 -q9 +r5 +a +J +v -k180 +b2048
	povray +idna.pov +odna.38 +fn +w256 +h256 -q9 +r5 +a +J +v -k185 +b2048
	povray +idna.pov +odna.39 +fn +w256 +h256 -q9 +r5 +a +J +v -k190 +b2048
	povray +idna.pov +odna.40 +fn +w256 +h256 -q9 +r5 +a +J +v -k195 +b2048
	povray +idna.pov +odna.41 +fn +w256 +h256 -q9 +r5 +a +J +v -k200 +b2048
	povray +idna.pov +odna.42 +fn +w256 +h256 -q9 +r5 +a +J +v -k205 +b2048
	povray +idna.pov +odna.43 +fn +w256 +h256 -q9 +r5 +a +J +v -k210 +b2048
	povray +idna.pov +odna.44 +fn +w256 +h256 -q9 +r5 +a +J +v -k215 +b2048
	povray +idna.pov +odna.45 +fn +w256 +h256 -q9 +r5 +a +J +v -k220 +b2048
	povray +idna.pov +odna.46 +fn +w256 +h256 -q9 +r5 +a +J +v -k225 +b2048
	povray +idna.pov +odna.47 +fn +w256 +h256 -q9 +r5 +a +J +v -k230 +b2048
	povray +idna.pov +odna.48 +fn +w256 +h256 -q9 +r5 +a +J +v -k235 +b2048
	povray +idna.pov +odna.49 +fn +w256 +h256 -q9 +r5 +a +J +v -k240 +b2048
	povray +idna.pov +odna.50 +fn +w256 +h256 -q9 +r5 +a +J +v -k245 +b2048
	povray +idna.pov +odna.51 +fn +w256 +h256 -q9 +r5 +a +J +v -k250 +b2048
	povray +idna.pov +odna.52 +fn +w256 +h256 -q9 +r5 +a +J +v -k255 +b2048
	povray +idna.pov +odna.53 +fn +w256 +h256 -q9 +r5 +a +J +v -k260 +b2048
	povray +idna.pov +odna.54 +fn +w256 +h256 -q9 +r5 +a +J +v -k265 +b2048
	povray +idna.pov +odna.55 +fn +w256 +h256 -q9 +r5 +a +J +v -k270 +b2048
	povray +idna.pov +odna.56 +fn +w256 +h256 -q9 +r5 +a +J +v -k275 +b2048
	povray +idna.pov +odna.57 +fn +w256 +h256 -q9 +r5 +a +J +v -k280 +b2048
	povray +idna.pov +odna.58 +fn +w256 +h256 -q9 +r5 +a +J +v -k285 +b2048
	povray +idna.pov +odna.59 +fn +w256 +h256 -q9 +r5 +a +J +v -k290 +b2048
	povray +idna.pov +odna.60 +fn +w256 +h256 -q9 +r5 +a +J +v -k295 +b2048
	povray +idna.pov +odna.61 +fn +w256 +h256 -q9 +r5 +a +J +v -k300 +b2048
	povray +idna.pov +odna.62 +fn +w256 +h256 -q9 +r5 +a +J +v -k305 +b2048
	povray +idna.pov +odna.63 +fn +w256 +h256 -q9 +r5 +a +J +v -k310 +b2048
	povray +idna.pov +odna.64 +fn +w256 +h256 -q9 +r5 +a +J +v -k315 +b2048
	povray +idna.pov +odna.65 +fn +w256 +h256 -q9 +r5 +a +J +v -k320 +b2048
	povray +idna.pov +odna.66 +fn +w256 +h256 -q9 +r5 +a +J +v -k325 +b2048
	povray +idna.pov +odna.67 +fn +w256 +h256 -q9 +r5 +a +J +v -k330 +b2048
	povray +idna.pov +odna.68 +fn +w256 +h256 -q9 +r5 +a +J +v -k335 +b2048
	povray +idna.pov +odna.69 +fn +w256 +h256 -q9 +r5 +a +J +v -k340 +b2048
	povray +idna.pov +odna.70 +fn +w256 +h256 -q9 +r5 +a +J +v -k345 +b2048
	povray +idna.pov +odna.71 +fn +w256 +h256 -q9 +r5 +a +J +v -k350 +b2048
	povray +idna.pov +odna.72 +fn +w256 +h256 -q9 +r5 +a +J +v -k355 +b2048
	povray +idna.pov +odna.72 +fn +w256 +h256 -q9 +r5 +a +J +v -k355 +b2048
	convert -verbose -colors 256 dna.[0-9] dna.[0-9][0-9] dna.miff

clean:
	/bin/rm -f dna.[0-9]* dna.gif dna.log

=== xtp/Makefile ===
# Generated automatically from Makefile.in by configure.
#
#  Generic makefile for xtp for computers that do not have xmkmf.
#
#  Copyright 1995 E. I. du Pont de Nemours and Company
#
#  Permission to use, copy, modify, distribute, and sell this software and
#  its documentation for any purpose is hereby granted without fee,
#  provided that the above Copyright notice appear in all copies and that
#  both that Copyright notice and this permission notice appear in
#  supporting documentation, and that the name of E. I. du Pont de Nemours
#  and Company not be used in advertising or publicity pertaining to
#  distribution of the software without specific, written prior
#  permission.  E. I. du Pont de Nemours and Company makes no representations
#  about the suitability of this software for any purpose.  It is provided
#  "as is" without express or implied warranty.
#
#  E. I. du Pont de Nemours and Company disclaims all warranties with regard
#  to this software, including all implied warranties of merchantability
#  and fitness, in no event shall E. I. du Pont de Nemours and Company be
#  liable for any special, indirect or consequential damages or any
#  damages whatsoever resulting from loss of use, data or profits, whether
#  in an action of contract, negligence or other tortious action, arising
#  out of or in connection with the use or performance of this software.
#

CC = gcc
DEFS =  -DSTDC_HEADERS=1 -DHAVE_DIRENT_H=1 -DSVR4=1 -DHasJBIG=1 -DHasJPEG=1 -DHasMPEG=1 -DHasPNG=1 -DHasTIFF=1 -DHasHDF=1 
INSTALL = .././install-sh -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
LDFLAGS =
LIBS =  -ljbig -ljpeg -lmpeg -lpng -ltiff -lz -ldf -lsocket -lXext  -lnsl -lsocket -lm

LOCALDIR= /usr/local/bin
LOCALMAN= /usr/local/man/mann

XTPObjects= xtp.o network.o regular.o

CFLAGS= -O $(DEFS)

PROGRAMS= xtp 

all: $(PROGRAMS)

xtp: 	$(XTPObjects)
	rm -f $@
	$(CC) -o $@ $(XTPObjects) $(LIBS)

clean::
	rm -f xtp

install:: xtp
	$(INSTALL_PROGRAM) xtp $(LOCALDIR)/xtp
	$(INSTALL_DATA) xtp.man $(LOCALMAN)/xtp.n

clean::
	rm -f *.ln *.bak *.o core errs ,* *~ *.a .emacs_* make.log MakeOut

## imagemagick 3.8.2

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #  Generic makefile for display, animate, montage, and import for
 #  computers that do not have xmkmf.
 #
-#  Copyright 1996 E. I. du Pont de Nemours and Company
+#  Copyright 1997 E. I. du Pont de Nemours and Company
 #
 #  Permission to use, copy, modify, distribute, and sell this software and
 #  its documentation for any purpose is hereby granted without fee,
@@ -40,8 +40,8 @@
 # more details.
 #
 #HDF_DEFINES= -DHasHDF
-#HDF_INCLUDES= -I../hdf
-#HDF_LIBRARIES= -Lhdf -ldf
+#HDF_INCLUDES= -I../hdf/hdf/src
+#HDF_LIBRARIES= -Lhdf/hdf/src -ldf
 #JBIG_DEFINES= -DHasJBIG
 #JBIG_INCLUDES= -I../jbig/libjbig
 #JBIG_LIBRARIES= -Ljbig/libjbig -ljbig
@@ -61,25 +61,26 @@
 MAGICK_INCLUDES= -Imagick
 
 CC = gcc
-DEFS =  -DSTDC_HEADERS=1 -DHAVE_DIRENT_H=1 -DSVR4=1 -DHasJBIG=1 -DHasJPEG=1 -DHasMPEG=1 -DHasPNG=1 -DHasTIFF=1 -DHasHDF=1 
+DEFS =  -DSTDC_HEADERS=1 -DHAVE_DIRENT_H=1 -DSVR4=1 -DHasSharedMemory=1 -DHasShape=1 
 INSTALL = ./install-sh -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 LDFLAGS =
-LIBS =  -ljbig -ljpeg -lmpeg -lpng -ltiff -lz -ldf -lsocket -lXext -lm
+LIBS =  -ltiff -lsocket -lXext -lm
 X_INCLUDES =  -I/usr/openwin/include
-X_LIBRARIES =  -L/usr/openwin/lib -R /usr/openwin/lib  -lnsl -lsocket -lX11
+X_LIBRARIES =  -L/usr/openwin/lib -R/usr/openwin/lib -lsocket  -lnsl -lX11
 
 LOCALDIR= /usr/local/bin
 LOCALMAN= /usr/local/man/mann
 
-DEFINES= $(MAGICK_INCLUDES) $(DIRENT_DEFINES) $(QUANTUM_DEFINES) \
-  $(DPS_DEFINES) $(DPS_INCLUDES) $(HDF_DEFINES) $(HDF_INCLUDES) \
-  $(JBIG_DEFINES) $(JBIG_INCLUDES) $(JPEG_DEFINES) $(JPEG_INCLUDES) \
-  $(MPEG_DEFINES) $(MPEG_INCLUDES) $(PNG_DEFINES) $(PNG_INCLUDES) \
-  $(TIFF_DEFINES) $(TIFF_INCLUDES) $(X_INCLUDES)
-SYS_LIBRARIES= $(DPS_LIBRARIES) $(JBIG_LIBRARIES) $(JPEG_LIBRARIES) \
-  $(MPEG_LIBRARIES) $(HDF_LIBRARIES) $(PNG_LIBRARIES) $(TIFF_LIBRARIES) \
+DEFINES= $(DEFS) $(MAGICK_INCLUDES) $(DIRENT_DEFINES) $(EXTENSIONS_DEFINES) \
+  $(QUANTUM_DEFINES) $(DPS_DEFINES) $(DPS_INCLUDES) $(HDF_DEFINES) \
+  $(HDF_INCLUDES) $(JBIG_DEFINES) $(JBIG_INCLUDES) $(JPEG_DEFINES) \
+  $(JPEG_INCLUDES) $(MPEG_DEFINES) $(MPEG_INCLUDES) $(PNG_DEFINES) \
+  $(PNG_INCLUDES) $(TIFF_DEFINES) $(TIFF_INCLUDES) $(X_INCLUDES)
+
+SYS_LIBRARIES= $(DPS_LIBRARIES) $(JBIG_LIBRARIES) $(HDF_LIBRARIES) \
+  $(MPEG_LIBRARIES) $(PNG_LIBRARIES) $(TIFF_LIBRARIES) $(JPEG_LIBRARIES) \
   $(X_LIBRARIES) $(LIBS)
 
 DisplayObjects= display.o
@@ -95,9 +96,9 @@
 
 CFLAGS= -O $(DEFINES)
 
-all: libmagick.a $(PROGRAMS)
+all: libMagick.a $(PROGRAMS)
 
-libmagick.a: 
+libMagick.a: 
 	(cd magick; make CFLAGS="$(CFLAGS)")
 
 display: $(DisplayObjects) magick/libMagick.a
@@ -150,6 +151,9 @@
 	$(INSTALL_DATA) mogrify.man $(LOCALMAN)/mogrify.n
 	$(INSTALL_PROGRAM) combine $(LOCALDIR)/combine
 	$(INSTALL_DATA) combine.man $(LOCALMAN)/combine.n
+	$(INSTALL_DATA) miff.man $(LOCALMAN)/miff.n
+	$(INSTALL_DATA) quantize.man $(LOCALMAN)/quantize.n
+	$(INSTALL_DATA) ImageMagick.man $(LOCALMAN)/ImageMagick.n
 
 clean::
 	(cd magick; make clean)

=== images/Makefile ===
all:
	../montage -label "%f   %wx%h" -geometry 160x160 -tile 2x2 -verbose \
	  -texture granite: dna.miff swan.miff aquarium.miff montage.miff

clean:
	/bin/rm -f montage.miff

=== magick/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #  Generic makefile for the ImageMagick image library for computers that do
 #  not have xmkmf.
 #
-#  Copyright 1996 E. I. du Pont de Nemours and Company
+#  Copyright 1997 E. I. du Pont de Nemours and Company
 #
 #  Permission to use, copy, modify, distribute, and sell this software and
 #  its documentation for any purpose is hereby granted without fee,
@@ -29,7 +29,7 @@
 
 AR = ar
 CC = gcc
-DEFS =  -DSTDC_HEADERS=1 -DHAVE_DIRENT_H=1 -DSVR4=1 -DHasJBIG=1 -DHasJPEG=1 -DHasMPEG=1 -DHasPNG=1 -DHasTIFF=1 -DHasHDF=1 
+DEFS =  -DSTDC_HEADERS=1 -DHAVE_DIRENT_H=1 -DSVR4=1 -DHasSharedMemory=1 -DHasShape=1 
 INSTALL = .././install-sh -c
 INSTALL_DATA = ${INSTALL} -m 644
 RANLIB = ranlib
@@ -42,8 +42,8 @@
 LOCALLIB=${exec_prefix}/lib
 LOCALINC=${prefix}/include
 
-MagickObjects= widget.o X.o image.o gems.o shear.o segment.o quantize.o \
-  colors.o signature.o decode.o encode.o compress.o utility.o monitor.o \
+MagickObjects= widget.o X.o image.o effects.o shear.o segment.o quantize.o \
+  colors.o gems.o signature.o decode.o encode.o compress.o utility.o monitor.o \
   error.o PreRvIcccm.o
 
 all: libMagick.a
@@ -63,7 +63,7 @@
 	$(INSTALL_DATA) magick.h $(LOCALINC)/magick.h
 	$(INSTALL_DATA) utility.h $(LOCALINC)/utility.h
 	$(INSTALL_DATA) widget.h $(LOCALINC)/widget.h
-	$(INSTALL_DATA) plug-in.h $(LOCALINC)/plug-in.h
+	$(INSTALL_DATA) plug-ins.h $(LOCALINC)/plug-ins.h
 
 clean: 
 	rm -f *.o libMagick.a core

=== xtp/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #  Generic makefile for xtp for computers that do not have xmkmf.
 #
-#  Copyright 1995 E. I. du Pont de Nemours and Company
+#  Copyright 1997 E. I. du Pont de Nemours and Company
 #
 #  Permission to use, copy, modify, distribute, and sell this software and
 #  its documentation for any purpose is hereby granted without fee,
@@ -25,19 +25,26 @@
 #
 
 CC = gcc
-DEFS =  -DSTDC_HEADERS=1 -DHAVE_DIRENT_H=1 -DSVR4=1 -DHasJBIG=1 -DHasJPEG=1 -DHasMPEG=1 -DHasPNG=1 -DHasTIFF=1 -DHasHDF=1 
-INSTALL = .././install-sh -c
+CDEBUGFLAGS = -g -O2
+DEFS =  -DSTDC_HEADERS=1 -DHAVE_DIRENT_H=1 -DHAVE_SYS_WAIT_H=1 -DTIME_WITH_SYS_TIME=1 -DSVR4=1 
+INSTALL = ./../install-sh -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 LDFLAGS =
-LIBS =  -ljbig -ljpeg -lmpeg -lpng -ltiff -lz -ldf -lsocket -lXext  -lnsl -lsocket -lm
+LIBS = -lsocket  -lm
+X_INCLUDES =  -I/usr/openwin/include
+X_LIBRARIES =  -L/usr/openwin/lib -R/usr/openwin/lib -lsocket  -lnsl -lX11
 
-LOCALDIR= /usr/local/bin
-LOCALMAN= /usr/local/man/mann
+prefix = /usr/local
+exec_prefix = ${prefix}
+LOCALDIR = ${exec_prefix}/bin
+LOCALMAN = ${prefix}/man/mann
 
 XTPObjects= xtp.o network.o regular.o
 
-CFLAGS= -O $(DEFS)
+CFLAGS= $(CDEBUGFLAGS) $(DEFS) $(X_INCLUDES)
+
+SYS_LIBRARIES= $(X_LIBRARIES) $(LIBS)
 
 PROGRAMS= xtp 
 
@@ -45,7 +52,7 @@
 
 xtp: 	$(XTPObjects)
 	rm -f $@
-	$(CC) -o $@ $(XTPObjects) $(LIBS)
+	$(CC) -o $@ $(XTPObjects) $(SYS_LIBRARIES)
 
 clean::
 	rm -f xtp

## imagemagick 6.2.4.5.dfsg1-0.15+etch1

=== debian/changelog ===
imagemagick (7:6.2.4.5.dfsg1-0.15+etch1) oldstable-security; urgency=high

  * Non-maintainer upload.
  * Fix various crashes on malformed input, including CVE-2007-1797, 
    CVE-2007-1667, CVE-2008-1096 and CVE-2008-1097. Closes: #418057, #412945 
  * Fix multiple vulnerabilities in imagemagick. (It's a port of the diff 
    between these tags of the SCM: debian_version_6_2_4_5_dfsg1-2 and
    debian_version_6_2_4_5_dfsg1-1). Closes: #444267
    + magick/memory.c,magick/memory_.h,magick/methods.h: Add new allocator
      wrapper AcquireQuantumMemory() to prevent potential integer overflows.
      Backport from upstream version 6.3.5.9.
    + magick/image.c: Backport new implementation of SetImageExtent() from
      upstream version 6.3.5.9.
    + coders/dcm.c,coders/xcf.c: Fix integer overflow in DCM and XCF coders.
      (CVE-2007-4985) Backport of upstream patch from version 6.3.5.9.
    + coders/dcm.c,coders/dib.c,coders/xbm.c,coders/xcf.c,coders/xwd.c:
      Fix multiple integer overflows in DCM, DIB, XBM, XCF, and XWD coders.
      (CVE-2007-4986 and CVE-2007-4988) Based on upstream patch from
      version 6.3.5.9.
    + magick/blob.c: Fix fencepost error in ReadBlobString()
      (CVE-2007-4987) Backport of upstream patch from version 6.3.5.9.
    + coders/dib.c: Ensure positive value for image rows and columns.
      Based on upstream patch from version 6.3.5.9.
    + All of the above patches have been derived from backports supplied by
      Jonathan Smith.
  * Apply upstream patch to fix integer overflow in XMakeImage()
    (CVE-2009-1882). Closes: #530838

 -- Luciano Bello <luciano@debian.org>  Mon, 27 Jul 2009 12:49:27 -0300

imagemagick (7:6.2.4.5.dfsg1-0.14) unstable; urgency=high

  * Non-maintainer upload.
  * coders/palm.c: Fix regression introduced in patch for CVE-2006-5456.
    Avoid bogus second read in macro call. Patch thanks to Vladimir
    Nadvornik. (CVE-2007-0770) Closes: #410435

 -- Daniel Kobras <kobras@debian.org>  Sat, 10 Feb 2007 19:25:25 +0100

imagemagick (7:6.2.4.5.dfsg1-0.13) unstable; urgency=high

  * Non-maintainer upload.
  * coders/png.c: Fix amd64 build failure with recent libpng versions.
    Closes: #401047
  * debian/control: Tighten libpng12-dev build-dependency to exclude versions
    that are known to fail to link even with the above fix in place.

 -- Daniel Kobras <kobras@debian.org>  Wed, 13 Dec 2006 11:33:25 +0100

imagemagick (7:6.2.4.5.dfsg1-0.12) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control: Add build dependency on libxt-dev and pkg-config to
    make dependency list deterministic.
  * debian/control: libmagick9-dev depends on libxt-dev.

 -- Daniel Kobras <kobras@debian.org>  Wed, 29 Nov 2006 17:19:02 +0100

imagemagick (7:6.2.4.5.dfsg1-0.11) unstable; urgency=high

  * Non-maintainer upload.
  * coders/dcm.c, coders/palm.c: Fix buffer overflows in DCM and Palm coders.
    Patches thanks to M Joonas Pihlaja. Closes: #393025
  * coders/sgi.c: Put back missing initialisation of loop variable that
    was erroneously removed in fix for CVE-2006-4144. Spotted by
    Martin Pitt. Closes: #383314
  * coders/sgi.c: Fix off-by-one error in boundary check causing slightly
    garbled image output. Also introduced in fix for for CVE-2006-4144.
  * coders/xpm.c: Do not gratuitously limit the allowed number of
    bytes per pixel. Patch thanks to Jens Seidel. Closes: #358148
  * magick/display.c: Fix NULL pointer dereference in display's
    "Visual Directory". Patch thanks to Frédéric Bothamy. Closes: #360400
  * utilities/ImageMagick.1.in: Replace UTF-8 encoded characters with
    latin1 equivalents to placate lintian.
  * debian/control: perlmagick provides libimage-magick-perl to comply
    with Perl policy. Closes: #317083
  * debian/control: Add gs-gpl build dependency, used in testsuite.
  * debian/control: Tries hard to comply with version 3.7.2 of Debian
    policy.
  * debian/rules: Eliminate -l entries that slipped into --ldflags output.
    They're already present in --libs anyway. Closes: #340401
  * debian/rules: Run the testsuite, but don't treat failures as fatal
    errors for now.
  * debian/rules: At configure time, change X11 search paths to X11R7
    locations.
  * debian/rules: Remove duplicate of license file from imagemagick
    package.

 -- Daniel Kobras <kobras@debian.org>  Mon, 23 Oct 2006 20:52:25 +0200

imagemagick (7:6.2.4.5.dfsg1-0.10) unstable; urgency=high

  * Non-Maintainer Upload
  * Fix buffer overflow in SGI parser [CVE-2006-4144] (closes: #383314)
    Thanks to Daniel Kobras
  * Fix double free in ICC profile in PerlMagick (closes: #349264)
  * Fix incomaptibility with graphviz >= 2.8 and build-depend on an
    appropriate version (closes: #360362)
  * Fix XCF and Sun Raster File buffer overflows [CVE-2006-3743/-3744]
    (closes: #385062)
  
 -- Don Armstrong <don@debian.org>  Sun, 10 Sep 2006 20:15:57 -0700

imagemagick (7:6.2.4.5.dfsg1-0.9) unstable; urgency=low

  * Non-Maintainer Upload
  * Remove all instances of the imagemagick logo from the original
    sourcefile and repack. (closes: #214623)
  * Add back the free logo patch
  * Add clean-tarball rule to accomplish this
  * Change the copyright file to indicate that the logo is no longer
    included, and indiciate that the included logo is actually text saying
    "imagemagick" with the Debian open use logo.

 -- Don Armstrong <don@debian.org>  Mon, 12 Jun 2006 02:15:10 -0700

imagemagick (7:6.2.4.5-0.8) unstable; urgency=low

  * Non-maintainer upload.
  * Back to 6.2.4.5 as requested by the release team to maintain binary
    compatibility. Bumped epoch once more.

 -- Daniel Kobras <kobras@debian.org>  Thu, 30 Mar 2006 12:32:13 +0200

imagemagick (6:6.2.6.7-1) unstable; urgency=low

  * New upstream version. 

 -- Ryuichi Arafune <arafune@debian.org>  Thu, 30 Mar 2006 16:59:33 +0900

imagemagick (6:6.2.4.5-0.7) unstable; urgency=high

  * Non-maintainer upload.


=== debian/control ===
Source: imagemagick
Section: graphics
Priority: optional
Maintainer: Ryuichi Arafune <arafune@debian.org>
Standards-Version: 3.7.2
Build-Depends: libjpeg62-dev, libbz2-dev, libtiff4-dev, libwmf-dev (>= 0.2.7-1), libz-dev, libpng12-dev (<= 1.2.8rel-7) | libpng12-dev (>= 1.2.15~beta5-0), libx11-dev, libxt-dev, libxext-dev, debhelper (>> 3.0.5), libxml2-dev, libfreetype6-dev, liblcms1-dev, libexif-dev, perl (>= 5.8.0-3), libjasper-1.701-dev, libltdl3-dev, graphviz (>= 2.8), gs-gpl, pkg-config

Package: imagemagick
Architecture: any
Depends: ${shlibs:Depends}
Suggests: gs, html2ps, lpr
Conflicts: imagemagick-doc, 
Replaces: imagemagick-doc, geomview (<= 1.8.0)
Description: Image manipulation programs
 Imagemagick is a set of programs to manipulate various image formats
 (JPEG, TIFF, PhotoCD, PBM, XPM, etc...). All manipulations can
 be achieved through shell commands as well as through an X11 graphical
 interface (display).
 .
 Possible effects: colormap manipulation, channel operations, thumbnail
 creation, image annotation, limited drawing, image distortion, etc...
 .
 This package suggests a postscript interpreter (gs) to read postscript
 files. It will however function happily without it (as long as you don't
 want to read postscript).

Package: libmagick9
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: libwmf-bin
Conflicts: libmagick, libmagick-lzw, libmagick5g, imagemagick (<=5:6.0.1.2-1), libmagick5 (>= 4:5.5.1-1 ), libmagick6.0.1
Replaces: libmagick, libmagick-lzw, libmagick5g, imagemagick (<=5:6.0.1.2-1), libmagick5 (>= 4:5.5.1) 
Description: Image manipulation library 
 LibMagick supports loading and saving a very large set of image formats.
 It allows a lot of image manipulation as well.
 
Package: libmagick9-dev
Architecture: any
Section: libdevel
Depends: libmagick9 (= ${Source-Version}), libjpeg62-dev, libbz2-dev, libtiff4-dev, libwmf-dev (>= 0.2.7-1), libz-dev, libpng12-dev, libx11-dev, libxt-dev, libxext-dev, libxml2-dev, libfreetype6-dev, liblcms1-dev, libexif-dev, libjasper-1.701-dev, libltdl3-dev
Conflicts: imagemagick-dev, libmagick5.5.1 (<= 5:5.5.1.4-1), libmagick-dev, libmagick6-dev
Replaces: imagemagick (<= 5:6.0.1.2-1), libmagick5.5.1 (<= 4:5.5.1.4-1), libmagick5, libmagick6-dev, libmagick-dev
Provides: libmagick-dev
Description: Image manipulation library -- development
 This package includes header files and static libraries needed to compile
 programs using libMagick.

Package: libmagick++9c2a
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libmagick5g++, libmagick++0, libmagick++4 (>=4:5.5.1), libmagick++5.5.3, libmagick++6.0.1, libmagick++6, libmagick++9
Replaces:  libmagick5g++, libmagick++0, libmagick++5 (>=4:5.5.1), libmagick++6.0.1, libmagick++6, libmagick++9
Description: The object-oriented C++ API to the ImageMagick library
 Magick++ supports an object model which is inspired by PerlMagick. Magick++
 executes faster than PerlMagick since it is accessed from a compiled
 language rather than from a scripting language. This makes it more suitable
 for Web CGI programs which must start-up and execute quickly. Images support
 implicit reference counting so that copy constructors and assignment incur
 almost no cost. The cost of actually copying an image (if necessary) is done
 just before modification and this copy is managed automatically by Magick++.
 De-referenced copies are automatically deleted. The image objects support
 value (rather than pointer)  semantics so it is trivial to support multiple
 generations of an image in memory at one time.
 .
 Magick++ provides integrated support for STL. This support allows Magick++
 to be used with the Standard Template Library (STL) so that the powerful
 containers available (e.g. deque, vector, list, and map)  can be used to
 write programs similar to those possible with PERL & PerlMagick.
 STL-compatible template versions of ImageMagick's list-style operations are
 provided so that operations may be performed on multiple images stored in
 STL containers.

Package: libmagick++9-dev
Architecture: any
Section: libdevel
Depends: libmagick++9c2a (= ${Source-Version}), libmagick9-dev (= ${Source-Version})
Conflicts: libmagick++0-dev, libmagick++5.5.1 (<= 4:5.5.1.4-1), libmagick++5, libmagick++-dev, imagemagick(<= 5:6.0.1.2-1), libmagick++6-dev
Replaces: libmagick++0-dev, libmagick++5.5.1 (<= 4:5.5.1.4-1), libmagick++-dev, imagemagick (<= 5:6.0.1.2-1), libmagick++6-dev
Provides: libmagick++-dev
Description: The object-oriented C++ API to the ImageMagick library--development
 This are the include files and static libraries needed to compile
 programs using libMagick++.

Package: perlmagick
Architecture: any
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}
Provides: libimage-magick-perl
Description: A perl interface to the libMagick graphics routines
 PerlMagick is a perl module which gives you all the functionality
 you can enjoy in the imagemagick package binaries, from perl.
 . 
 One can load several images with perlmagick, apply numerous transformations
 and operations on the images and write them back, possibly in a different 
 format.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This is the debhelper compatability version o t2use.
export DH_COMPAT=3

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

IMAGEMAGICKVERSION=6.2.4

ifndef PERL
PERL = /usr/bin/perl
endif



build: build-stamp
build-stamp:
	dh_testdir

	MagickDocumentPath="/usr/share/doc/imagemagick" ./configure \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-gs-font-dir=/usr/share/fonts/type1/gsfonts \
	--with-magick-plus-plus \
	--enable-shared \
	--enable-lzw \
	--without-dps \
	--without-fpx \
	--without-perl \
	--with-perl-options='INSTALLDIRS=vendor' \
	--x-includes=/usr/include/X11 \
	--x-libraries=/usr/lib/X11

	# Patch the generated libtool to avoid passing -rpath when linking,
	# and to explicitly link libraries against the libraries they
	# depend on.

	sed < libtool > libtool-2 \
	-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
	-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' 
	mv libtool-2 libtool
	chmod 755 libtool

	# Add here commands to compile the package.

	$(MAKE) 
	cd $(CURDIR)/PerlMagick && perl Makefile.PL
	cd $(CURDIR)/PerlMagick && make \
		LD_RUN_PATH= \
		EXTRALIBS='-L../magick/.libs -L/usr/lib -lMagick -L/usr/X11R6/lib -L/usr/lib -L/usr/lib -llcms -ltiff -lfreetype -ljpeg -lpng -lXext -lSM -lICE -lX11 -lbz2 -lxml2 -lz' \
		LDLOADLIBS='-L../magick/.libs -L/usr/lib -lMagick -L/usr/X11R6/lib -L/usr/lib -L/usr/lib -llcms -ltiff -lfreetype -ljpeg -lpng -lXext -lSM -lICE -lX11 -lbz2 -lxml2 -lz -lpthread -lm -lpthread'

	# Remove duplicate lib entries that ended up in --ldflags by mistake.	
	sed -ie '/--ldflags/,+1s/[[:space:]]-l[^[:space:]]\+//g' \
		"$(CURDIR)/magick/Magick-config"

	touch build-stamp

check: check-stamp
check-stamp: build-stamp
	dh_testdir

	# Only run the testsuite to get more info in the build logs for now,
	# but don't make a failing testsuite fail the whole build. Change it
	# to a fatal error only once we've got an estimate on how harmful
	# that would be.
	@if test "$(DEB_HOST_GNU_TYPE)" = "$(DEB_BUILD_GNU_TYPE)"; then \
		unset DISPLAY; \
		LD_LIBRARY_PATH="$(CURDIR)/magick/.libs:$(CURDIR)/wand/.libs:$(CURDIR)/Magick++/lib/.libs:$$LD_LIBRARY_PATH" \
		$(MAKE) check LD_RUN_PATH= && echo "*** Testsuite succeeded ***" || echo "*** Testsuite failed ***"; \
	else \
		echo "Skipping regression tests because we appear to be cross-compiling"; \
	fi

	touch check-stamp
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-cd PerlMagick && $(MAKE) distclean
	-$(MAKE) distclean
	-cd Magick++ && $(MAKE) distclean
	-rm $(CURDIR)/utilities/.libs/*

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/imagemagick.
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/imagemagick  \
		pkgdocdir=/usr/share/doc/imagemagick 
#		pkgdatadir=/usr/share/doc/imagemagick 

	cd $(CURDIR)/PerlMagick && \
	$(MAKE) install_vendor  \
		PREFIX=$(CURDIR)/debian/imagemagick/usr \
		SITEPREFIX=$(CURDIR)/debian/imagemagick/usr \
		INSTALLMAN3DIR=$(CURDIR)/debian/imagemagick/usr/share/man/man3 \
		INSTALLSITEMAN3DIR=$(CURDIR)/debian/imagemagick/usr/share/man/man3 
	cp `pwd`/magick/*.h $(CURDIR)/debian/imagemagick/usr/include/magick
	-cp `pwd`/magick/Magick-config.1 $(CURDIR)/debian/imagemagick/usr/share/man/man1/
	-find $(CURDIR)/debian -type f -name .packlist | xargs rm -f

	# Duplicate. License file is already included in the doc dir.
	-rm "$(CURDIR)"/debian/imagemagick/usr/share/ImageMagick-$(IMAGEMAGICKVERSION)/LICENSE

# Use x-terninal emulator for editing (Bug #132947)	
#
	rm $(CURDIR)/debian/imagemagick/usr/lib/ImageMagick-$(IMAGEMAGICKVERSION)/config/delegates.xml
	sed -e s!xterm!/etc/alternatives/x-terminal-emulator!  \
		$(CURDIR)/config/delegates.xml > \
		$(CURDIR)/debian/imagemagick/usr/lib/ImageMagick-$(IMAGEMAGICKVERSION)/config/delegates.xml
	dh_movefiles --sourcedir=debian/imagemagick
	-rm $(CURDIR)/debian/imagemagick/usr/lib/libltdl*
# add write permission for dh_strip
	chmod +w $(CURDIR)/debian/perlmagick/usr/lib/perl5/auto/Image/Magick/Magick.so
#	
# Remove empty directories in debian/imagemagick and debian/libmagick9
# 	
	-find $(CURDIR)/debian/imagemagick -type d -empty | xargs rmdir -p
	-find $(CURDIR)/debian/libmagick9 -type d -empty | xargs rmdir -p
#
# 	-while find $(CURDIR)/debian/imagemagick -empty |xargs rmdir ; do \
# 	 find $(CURDIR)/debian/imagemagick -empty | xargs rmdir; \
# 	done
# 	-while find $(CURDIR)/debian/libmagick9 -empty | xargs rmdir ; do \
# 	 find $(CURDIR)/debian/libmagick9 -empty | xargs rmdir; \
# 	done

clean-tarball: 
	# Nuke logo binaries
	rm -f images/configure.jpg images/logo.jpg images/logo.eps images/examples.jpg \
		www/Magick++/ImageMagick.png
	# Nuke the LogoImage define
	perl -pi -e 'BEGIN{undef $$/;} s/LogoImage\[\]\s+=\s+\{[^\}]+\}/LogoImage[] = {}/s' \
		coders/magick.c


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.


# Build architecture-dependent files here.
binary-arch: build check install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installmime -pimagemagick
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps -L libmagick9 -ldebian/libmagick9/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
